## libhildon-ruby 0.1-1maemo0

=== src/Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/lib/ruby/1.8/arm-linux-eabi/
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
exec_prefix = $(prefix)
prefix = $(DESTDIR)/usr/
sharedstatedir = $(prefix)/com
mandir = $(datarootdir)/man
psdir = $(docdir)
oldincludedir = $(DESTDIR)/usr/include
localedir = $(datarootdir)/locale
bindir = $(exec_prefix)/bin
libexecdir = $(exec_prefix)/libexec
sitedir = $(libdir)/ruby/1.8/
htmldir = $(docdir)
vendorarchdir = $(vendorlibdir)/$(sitearch)
includedir = $(prefix)/include
infodir = $(datarootdir)/info
vendorlibdir = $(vendordir)/$(ruby_version)
sysconfdir = $(prefix)/etc
libdir = $(exec_prefix)/lib
sbindir = $(exec_prefix)/sbin
rubylibdir = $(libdir)/ruby/$(ruby_version)
docdir = $(datarootdir)/doc/$(PACKAGE)
dvidir = $(docdir)
vendordir = $(libdir)/ruby/vendor_ruby
datarootdir = $(prefix)/share
pdfdir = $(docdir)
archdir = $(rubylibdir)/$(arch)
sitearchdir = $(sitelibdir)/$(sitearch)
datadir = $(datarootdir)
localstatedir = $(prefix)/var
sitelibdir = $(sitedir)

CC = gcc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =  -fPIC -g -O2  -fPIC $(cflags) -Wall -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   
INCFLAGS = -I. -I/usr/lib/ruby/1.8/arm-linux-eabi
DEFS     = -D_FILE_OFFSET_BITS=64
CPPFLAGS = -DHAVE_RB_DEFINE_ALLOC_FUNC -DHAVE_RB_BLOCK_PROC -DHAVE_OBJECT_ALLOCATE -DHAVE_NODE_ATTRASGN -DHAVE_HILDON_HILDON_H -DRUBY_HILDON_TARGET=\"\" -DRUBY_HILDON_COMPILATION  -D_FILE_OFFSET_BITS=64  -I/usr/lib/ruby/1.8/arm-linux-eabi/
CXXFLAGS = $(CFLAGS) 
ldflags  = -L.  -rdynamic -Wl,-export-dynamic  
dldflags = 
archflag = 
DLDFLAGS = $(ldflags) $(dldflags) $(archflag)
LDSHARED = $(CC) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = ruby1.8
arch = arm-linux-eabi
sitearch = arm-linux-eabi
ruby_version = 1.8
ruby = /usr/bin/ruby
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir)
LIBPATH =  -L. -L$(libdir) -Wl,-R$(libdir)
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lpthread -ldl -lcrypt -lm   -lc
SRCS = rbhildon.c ruby_hildon_controlbar.c ruby_hildon_time_picker.c ruby_hildon_note.c ruby_hildon_time_editor.c ruby_hildon_sort_dialog.c ruby_hildon_color_button.c ruby_hildon_vvolumebar.c ruby_hildon_volumebar.c ruby_hildon_font_selection_dialog.c ruby_hildon_calendar.c rbhildoninits.c ruby_hildon_number_editor.c ruby_hildon_date_editor.c ruby_hildon_color_chooser_dialog.c ruby_hildon_caption.c ruby_hildon_wizard_dialog.c ruby_hildon_program.c ruby_hildon_weekday_picker.c ruby_hildon_range_editor.c init.c ruby_hildon_banner.c ruby_hildon_hvolumebar.c ruby_hildon_get_password_dialog.c ruby_hildon_seekbar.c ruby_hildon_calendar_popup.c ruby_hildon_color_chooser.c ruby_hildon_set_password_dialog.c ruby_hildon_login_dialog.c ruby_hildon_window.c ruby_hildon_volumebar_range.c ruby_hildon_bread_crumb_trail.c ruby_hildon_sound.c ruby_hildon_code_dialog.c
OBJS = rbhildon.o ruby_hildon_controlbar.o ruby_hildon_time_picker.o ruby_hildon_note.o ruby_hildon_time_editor.o ruby_hildon_sort_dialog.o ruby_hildon_color_button.o ruby_hildon_vvolumebar.o ruby_hildon_volumebar.o ruby_hildon_font_selection_dialog.o ruby_hildon_calendar.o rbhildoninits.o ruby_hildon_number_editor.o ruby_hildon_date_editor.o ruby_hildon_color_chooser_dialog.o ruby_hildon_caption.o ruby_hildon_wizard_dialog.o ruby_hildon_program.o ruby_hildon_weekday_picker.o ruby_hildon_range_editor.o init.o ruby_hildon_banner.o ruby_hildon_hvolumebar.o ruby_hildon_get_password_dialog.o ruby_hildon_seekbar.o ruby_hildon_calendar_popup.o ruby_hildon_color_chooser.o ruby_hildon_set_password_dialog.o ruby_hildon_login_dialog.o ruby_hildon_window.o ruby_hildon_volumebar_range.o ruby_hildon_bread_crumb_trail.o ruby_hildon_sound.o ruby_hildon_code_dialog.o
TARGET = hildon
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
pre-install-rb-default: $(RUBYLIBDIR)
install-rb-default: $(RUBYLIBDIR)/hildon.rb
$(RUBYLIBDIR)/hildon.rb: ./lib/hildon.rb $(RUBYLIBDIR)
	$(INSTALL_DATA) ./lib/hildon.rb $(DESTDIR)/$(@D)
$(RUBYARCHDIR):
	$(MAKEDIRS) $@
$(RUBYLIBDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h
