=== debian/changelog ===
libhildon-ruby (0.1-1maemo0) unstable; urgency=low

  * Initial release

 -- Faheem Pervez <trippin1@gmail.com>  Sat,  4 Jul 2009 18:20:00 +0100
