=== debian/control ===
Source: libhildon-ruby
Section: libs
Priority: optional
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), ruby, ruby1.8, ruby1.8-dev, pkg-config, libhildon1-dev, libgtk2.0-dev, libruby1.8, libpango1.0-dev, libcairo2-dev, libatk1.0-dev, libglib2.0-dev
Standards-Version: 3.7.2

Package: libhildon-ruby
Architecture: armel
Depends: libhildon-ruby1.8
Description: Hildon bindings for the Ruby language
 Hildon is a library for creating, mobile, graphical user interfaces. This package
 contains libraries for using Hildon with the Ruby programming language.
 .
 This is a dummy package depending on the library for the current default
 version of Ruby.
 .
 Author: Clive Andrews

Package: libhildon-ruby1.8
Architecture: armel
Depends: ${shlibs:Depends}, libgtk2-ruby1.8
Description: Hildon bindings for the Ruby language
 Hildon is a library for creating, mobile, graphical user interfaces. This package
 contains libraries for using Hildon with the Ruby programming language.
 .
 Author: Clive Andrews
