## libhildon-ruby 0.1-1maemo1

=== debian/changelog ===
libhildon-ruby (0.1-1maemo1) unstable; urgency=low

  * Enable VFP for ARMEL
  * Build for i386 

 -- Faheem Pervez <trippin1@gmail.com>  Sun,  5 Jul 2009 08:05:53 +0100
