=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: libhildon-ruby
-Architecture: armel
+Architecture: all
 Depends: libhildon-ruby1.8
 Description: Hildon bindings for the Ruby language
  Hildon is a library for creating, mobile, graphical user interfaces. This package
@@ -18,7 +18,7 @@
  Author: Clive Andrews
 
 Package: libhildon-ruby1.8
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}, libgtk2-ruby1.8
 Description: Hildon bindings for the Ruby language
  Hildon is a library for creating, mobile, graphical user interfaces. This package
