=== debian/changelog ===
libhildon-ruby (0.1-1maemo3) unstable; urgency=low

  * Fix HildonWizard crashing as 2 args is not enough.
  * htest.rb: Fix color segfault.
  * htest.rb: Fix hildonbanner segfault. Thanks Janne/ukki!

 -- Faheem Pervez <trippin1@gmail.com>  Thu,  9 Jul 2009 16:02:27 +0100
