=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libhildon-ruby
 Architecture: all
-Depends: libhildon-ruby1.8
+Depends: libhildon-ruby1.8 (= ${binary:Version})
 Description: Hildon bindings for the Ruby language
  Hildon is a library for creating, mobile, graphical user interfaces. This package
  contains libraries for using Hildon with the Ruby programming language.
