=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,14 @@
 	CFLAGS += -O2
 endif
 
+DEB_BUILD_ARCH_CPU   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
+
+ifeq ($(DEB_BUILD_ARCH_CPU),i386)
+	MAKEFILE = Makefile.i386
+else
+	MAKEFILE = Makefile
+endif
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -34,7 +42,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd src && $(MAKE)
+	cd src && $(MAKE) -f $(MAKEFILE)
 	#docbook-to-man debian/libhildon-ruby.sgml > libhildon-ruby.1
 
 	touch $@
@@ -45,7 +53,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	cd src && $(MAKE) clean || true
+	cd src && $(MAKE) clean -f $(MAKEFILE) || true
 
 	dh_clean 
 
@@ -56,9 +64,12 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/libhildon-ruby.
-	cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install || true
+	cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp -f $(MAKEFILE) install || true
+ifeq ($(DEB_BUILD_ARCH_CPU),i386)
+	install -D src/lib/hildon.rb $(CURDIR)/debian/tmp/usr/lib/ruby/1.8/i486-linux/hildon.rb
+else
 	install -D src/lib/hildon.rb $(CURDIR)/debian/tmp/usr/lib/ruby/1.8/arm-linux-eabi/hildon.rb
-
+endif
 
 # Build architecture-independent files here.
 binary-indep: build install
